View Issue Details

IDProjectCategoryView StatusLast Update
14819Bug reports[All Projects] _ Unknownpublic2019-06-28 10:50
ReporterrealitixAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionreopened 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary14819: Incorrect behavior with Question of type R (Classement)
Description

Hello,

Using the Classement (R) question type can lead to inconsistency.

Case 1:

  1. Create a survey with one group and one question of type R (non mandatory answer)
  2. Add theses options:

A1;Option 1
A2;Option 2
A3;Option 3
A4;Option 4

  1. Activate the survey and fill it one time
  2. Update the options with:

A1;Option 1
A2;Option 2
A3;Option 3
A4;Option 4
A5;Option 5
A6;Option 6
A7;Option 7

  1. Fill the survey one more time (you will see Maximum columns for answers: 4 which is a security).
  2. Deactivate and activate the survey
  3. When you try to fill the survey -> it stills locked at 4 columns whereas it should be 7.

Case 2:

  1. Create a survey with one group and one question of type R (non mandatory answer)
  2. Add theses options:

A1;Option 1
A2;Option 2
A3;Option 3
A4;Option 4

  1. Activate the survey and fill it one time
  2. Remove one option (for example: Option 2)
  3. Fill the survey, it works.
  4. Set the question as mandatory and try to fill the survey again -> Block

idea

Question of type R shouldn't be updatable. It can lead to inconsistency.

What is your point of view on this issue ?

TagsNo tags attached.
Complete LimeSurvey version number (& build)master 3.15.9
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version0
Server OS (if known)
Webserver software & version (if known)
PHP Version0

Relationships

related to 09828 closedDenisChenu Ranking question : update allowed can broke Survey DB 

Activities

DenisChenu

DenisChenu

2019-04-27 07:58

developer   ~51606

Last edited: 2019-04-27 07:59

View 2 revisions

Case 2 seems an issue : please create a bug about this issue
Case 1 is more hard to fix

Else : allow updating ranking is a feature, i dislike to remove a feature … if we can fix.

PS point of view is https://bugs.limesurvey.org/view.php?id=9828

realitix

realitix

2019-05-15 11:19

reporter   ~51945

I create the case 2 here: https://bugs.limesurvey.org/view.php?id=14899
For case 1, will it be fixed in a near future ?

DenisChenu

DenisChenu

2019-05-16 23:40

developer   ~51976

About case 1 : the issue is not fixed or not : it's «is this a bug»

Sample : you want user ranking 3 country in the 178 country,

  1. you set max columns to 3 before activate survey
  2. you deactivate survey
  3. You want this value stay same

When we can choose to update or not this value ?

realitix

realitix

2019-05-17 10:13

reporter   ~51982

Yes indeed.
In that case, user should create a new question. We can close this issue since you fixed case 2.

Thanks

DenisChenu

DenisChenu

2019-05-17 10:23

developer   ~51983

No, no need to create new question

  1. Deactivate and activate the survey

was replaced

  1. Deactivate
  2. Update question setting
  3. activate the survey
realitix

realitix

2019-06-28 08:59

reporter   ~52608

After reading your answer, maybe I was not clear about words for the Case 1.
Because my Limesurvey is in french here the analysis.

A)
In english: "Maximum answers"
French: "Nombre de réponses maximum"

In that case, what you said about Case 1 is good.

and B)

English: "Maximum columns for answers"

That's the maximum number of column for answers, this value should be reinitialized with a desactivate/activate of the survey.
This value is available in the question parameters but protected against editing if filled by Limesurvey.

Do you better understand the problem ?

DenisChenu

DenisChenu

2019-06-28 09:59

developer   ~52610

Last edited: 2019-06-28 10:00

View 2 revisions

I totally understand Point 1.

And my answer still the same : since we can not know if max_subquestions is set manually or not : we can't reset it.

See discussion : https://bugs.limesurvey.org/view.php?id=9828

Question of type R shouldn't be updatable. It can lead to inconsistency.

Then you remove a feature where user can not add new answers after activation …

it stills locked at 4 columns whereas it should be 7.

Why it should be ? Current solution allow to rank 3 item inside 150 without 150 column : and it's really great for some survey.

For other survey : just remind to reset the settings before activate.

You only propose to remove existing feature to resolve an issue that can be easily fixed with some rigor and verification. The settings are show in question summary, then user see it.

DenisChenu

DenisChenu

2019-06-28 09:59

developer  

realitix

realitix

2019-06-28 10:43

reporter   ~52614

Thanks for your detailed explanation.

DenisChenu

DenisChenu

2019-06-28 10:50

developer   ~52616

PS : i think a feature can be

  1. Leave max_subquestions as empty if not set when activated
  2. Add max_subquestions_auto disable for all user
  3. set/unset max_subquestions_auto when activate/deactivate

But : still a new feature …

Issue History

Date Modified Username Field Change
2019-04-26 16:32 realitix New Issue
2019-04-27 07:57 DenisChenu Relationship added related to 09828
2019-04-27 07:58 DenisChenu Note Added: 51606
2019-04-27 07:59 DenisChenu Note Edited: 51606 View Revisions
2019-05-15 11:19 realitix Note Added: 51945
2019-05-16 23:40 DenisChenu Note Added: 51976
2019-05-17 10:13 realitix Note Added: 51982
2019-05-17 10:23 DenisChenu Note Added: 51983
2019-05-17 10:24 DenisChenu Assigned To => DenisChenu
2019-05-17 10:24 DenisChenu Status new => closed
2019-05-17 10:24 DenisChenu Resolution open => no change required
2019-05-17 10:24 DenisChenu Fixed in Version => 3.17.x
2019-06-28 08:59 realitix Note Added: 52608
2019-06-28 09:59 DenisChenu Status closed => feedback
2019-06-28 09:59 DenisChenu Resolution no change required => reopened
2019-06-28 09:59 DenisChenu Note Added: 52610
2019-06-28 09:59 DenisChenu File Added: Capture d’écran du 2019-06-28 09-58-59.png
2019-06-28 10:00 DenisChenu Note Edited: 52610 View Revisions
2019-06-28 10:43 realitix Note Added: 52614
2019-06-28 10:43 realitix Status feedback => assigned
2019-06-28 10:50 DenisChenu Status assigned => closed
2019-06-28 10:50 DenisChenu Note Added: 52616